package com.supwisdom.dlpay.consume.service.impl

import com.supwisdom.dlpay.consume.dao.PersonDao
import com.supwisdom.dlpay.consume.domain.TPerson
import com.supwisdom.dlpay.consume.service.PersonService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service

/**
 * Created by shuwei on 2019/4/12.
 */
@Service
class PersonServiceImpl : PersonService {
    @Autowired
    lateinit var personDao: PersonDao

    override fun getPersonByThirdUniqueIdenty(thirdUniqueIdenty: String?): TPerson {
        return personDao.findByThirdUniqueIdenty(thirdUniqueIdenty)
    }
}